org.keycloak.exportimport.util

## Class ImportUtils

- java.lang.Object
- - org.keycloak.exportimport.util.ImportUtils

-     public class ImportUtils
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,RealmRepresentation>` | `getRealmsFromStream(com.fasterxml.jackson.databind.ObjectMapper mapper, InputStream is)`
    `static void` | `importFederatedUsersFromStream(KeycloakSession session, String realmName, com.fasterxml.jackson.databind.ObjectMapper mapper, InputStream is)`
    `static void` | `importFromStream(KeycloakSession session, com.fasterxml.jackson.databind.ObjectMapper mapper, InputStream is, Strategy strategy)` Fully import realm (or more realms from particular stream)
    `static boolean` | `importRealm(KeycloakSession session, RealmRepresentation rep, Strategy strategy, boolean skipUserDependent)` Fully import realm from representation, save it to model and return model of newly created realm
    `static void` | `importRealms(KeycloakSession session, Collection<RealmRepresentation> realms, Strategy strategy)`
    `static void` | `importUsersFromStream(KeycloakSession session, String realmName, com.fasterxml.jackson.databind.ObjectMapper mapper, InputStream is)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportUtils

          public ImportUtils()

  - ### Method Detail

    - #### importRealms

          public static void importRealms(KeycloakSession session,
                                          Collection<RealmRepresentation> realms,
                                          Strategy strategy)

    - #### importRealm

          public static boolean importRealm(KeycloakSession session,
                                            RealmRepresentation rep,
                                            Strategy strategy,
                                            boolean skipUserDependent)

      Fully import realm from representation, save it to model and return model of newly created realm
      Parameters:
        `session` -
        `rep` -
        `strategy` - specifies whether to overwrite or ignore existing realm or user entries
        `skipUserDependent` - If true, then import of any models, which needs users already imported in DB, will be skipped. For example authorization
      Returns:
        newly imported realm (or existing realm if ignoreExisting is true and realm of this name already exists)

    - #### importFromStream

          public static void importFromStream(KeycloakSession session,
                                              com.fasterxml.jackson.databind.ObjectMapper mapper,
                                              InputStream is,
                                              Strategy strategy)
                                       throws IOException

      Fully import realm (or more realms from particular stream)
      Parameters:
        `session` -
        `mapper` -
        `is` -
        `strategy` -
      Throws:
        `IOException`

    - #### getRealmsFromStream

          public static Map<String,RealmRepresentation> getRealmsFromStream(com.fasterxml.jackson.databind.ObjectMapper mapper,
                                                                            InputStream is)
                                                                     throws IOException

      Throws:
        `IOException`

    - #### importUsersFromStream

          public static void importUsersFromStream(KeycloakSession session,
                                                   String realmName,
                                                   com.fasterxml.jackson.databind.ObjectMapper mapper,
                                                   InputStream is)
                                            throws IOException

      Throws:
        `IOException`

    - #### importFederatedUsersFromStream

          public static void importFederatedUsersFromStream(KeycloakSession session,
                                                            String realmName,
                                                            com.fasterxml.jackson.databind.ObjectMapper mapper,
                                                            InputStream is)
                                                     throws IOException

      Throws:
        `IOException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.